LASTLOG(8)

NOM
lastlog - signaler les connexions les plus récentes de tous les utilisateurs ou d'un utilisateur donné

SYNOPSIS

lastlog [options]

DESCRIPTION

Lastlog affiche le contenu du journal des dernières connexions (/var/log/lastlog). Les champs Utilisateur, Port, date de Dernière connexion sont affichés. Par défaut (aucune option de spécifiée), les entrées de laslog sont affichées triées par ordre d'apparition dans /etc/passwd.

OPTIONS

Les options disponibles pour la commande lastlog sont :

-b, --before JOURS
    N'affiche que les entrées du fichier lastlog plus anciennes que JOURS.

-h, --help
    Afficher un message d'aide et quitter.

-t, --time JOURS
    Affiche les entrées du fichier lastlog plus récentes que JOURS.

-u, --user IDENTIFIANT
    N'affiche que les entrées correspondant à l'utilisateur IDENTIFIANT.

L'utilisation de l'option -t supplante l'option -u.

Dans le cas où l'utilisateur ne s'est jamais connecté, le message « **Never logged in** » (« **Jamais connecté** ») est affiché à la place des champs Port et date de Dernière connexion.

NOTE

Le fichier lastlog est une base de données qui contient des informations concernant la dernière connexion de chaque utilisateur. Vous n'avez pas à faire de rotation (avec rotate) sur ce fichier. C'est un fichier « creux », donc sa taille sur le disque est bien plus petite que celle affichée par « ls -l » (qui peut indiquer un très gros fichier si vous avez des utilisateurs avec des UID élevés). Vous pouvez afficher sa taille réelle avec « ls -s ».

FICHIERS

/var/log/lastlog
    Base de données de l'heure des connexions précédentes des utilisateurs.

AVERTISSEMENTS

S'il y a des trous importants dans les valeurs des UID, lastlog s'exécutera plus lentement, sans affichage à l'écran (par exemple, s'il n'y a pas d'entrée pour les utilisateurs ayant un UID compris entre 170 et 800 dans base de données lastlog, le programme lastlog semblera bloqué comme s'il traitait les entrées correspondant aux UID 171 à 799).